#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-ExtUtils-PkgConfig
Version		:	1.16
Release		:	14.8.0.0%{?dist}
Summary		:	Simplistic interface to pkg-config
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod//ExtUtils::PkgConfig

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
The pkg-config program retrieves information about installed
libraries, usually for the purposes of compiling against and
linking to them.

ExtUtils::PkgConfig is a very simplistic interface to this
utility, intended for use in the Makefile.PL of perl extensions
which bind libraries that pkg-config knows. It is really just
boilerplate code that you would've written yourself.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc Changes README
%{_datadir}/perl5/core_perl/ExtUtils/PkgConfig.pm
%{_mandir}/man3/ExtUtils::PkgConfig.3.gz


#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%changelog
